Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.borg.model.undo
Enum UndoItem.actionType

    java.lang.Object
      java.lang.Enum<UndoItem.actionType>
          net.sf.borg.model.undo.UndoItem.actionType

All Implemented Interfaces:
  Serializable, Comparable<UndoItem.actionType>

Enclosing class:
  UndoItem<T extends KeyedEntity<T>>

    protected static enum UndoItem.actionType

extends Enum<UndoItem.actionType>

actions that can be applied to an item that need to be undone

Enum Constant Summary
`ADD`
`DELETE`
`UPDATE`

Method Summary
`static UndoItem.actionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UndoItem.actionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final UndoItem.actionType ADD

### DELETE

    public static final UndoItem.actionType DELETE

### UPDATE

    public static final UndoItem.actionType UPDATE

Method Detail

### values

    public static UndoItem.actionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UndoItem.actionType c : UndoItem.actionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UndoItem.actionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic